Skip to main content

Get Job Executions

GET 

/projects/:projectId/providers/Aruba.Schedule/jobs/:jobId/executions/:jobExecutionId

Get Job Executions

Request​

Path Parameters

    jobId stringrequired

    unique identifier of the Job Schedule

    jobExecutionId stringrequired

    unique identifier of the Job Execution

    projectId stringrequired

    unique identifier of the project CMP

Query Parameters

    api-version string

    The requested API version

    Default value: 1

Responses​

OK

Schema

    metadata

    object

    id stringnullable
    uri stringnullable
    name stringnullable

    project

    object

    id stringnullable
    folderId stringnullable
    tags string[]nullable

    category

    object

    name stringnullable
    provider stringnullable

    typology

    object

    id stringnullable
    name stringnullable
    creationDate date-timenullable
    createdBy stringnullable
    ownerId stringnullable
    updateDate date-timenullable
    updatedBy stringnullable
    version stringnullable
    createdUser stringnullable
    updatedUser stringnullable
    managedBy stringnullable

    status

    object

    state stringnullable
    creationDate date-timenullable
    failureReason stringnullable

    error

    object

    reason stringnullable
    message stringnullable

    properties

    object

    success booleannullable
    type stringnullable
    startedAt date-timenullable
    terminatedAt date-timenullable
    log stringnullable

    failStep

    object

    index int32nullable
    name stringnullable
    triggerType stringnullable

    job

    object

    id stringnullable
    uri stringnullable
Loading...